<?php
session_name('portal_absa');
session_start();
require_once "../clases/datosbd.class.php";
require_once "../libs/funciones.php";

date_default_timezone_set("America/Mexico_City");

$datosbd = new datosbd();
$fecha = date("Y-m-d");
$hora = date("H:i:s");
if($_REQUEST["id"] != ""){
    if($datosbd->getDoce($_REQUEST["id"])){
        if($datosbd->cDoce != null){
            $tDoce = $datosbd->cDoce;
            $fecha = substr($tDoce["fecha"],0,10);
            $hora = substr($tDoce["fecha"],11);
        }
    }else{
        $datosbd->Error($datosbd->mensajeerror);
    }
}else{
    if($datosbd->getFolioSiguiente("NOTIFICACION DE PAGO")){
        if($datosbd->cFolioSiguiente != null){
            $tDoce["folio"] = $datosbd->cFolioSiguiente["folio"]+1;
            $tDoce["serie"] = $datosbd->cFolioSiguiente["serie"];
            $tDoce["alta_manual"] = "1";
        }else{
            $datosbd->Error("No se pudo obtener el folio soguiente");
        }
    }else{
        $datosbd->Error($datosbd->mensajeerror);
    }
}
//Traigo los emisores
if(!$datosbd->getEmisores()){
    $datosbd->Error($datosbd->mensajeerror);
}
//Traigo los proveedores
if(!$datosbd->getProveedores()){
    $datosbd->Error($datosbd->mensajeerror);
}

//Traigo los metodos de pago
if(!$datosbd->getMetodosPago()){
    $datosbd->Error($datosbd->mensajeerror);
}

//Traigo las formas de pago
if(!$datosbd->getFormasPago()){
    $datosbd->Error($datosbd->mensajeerror);
}

//Traigo las monedas
if(!$datosbd->getMonedas()){
    $datosbd->Error($datosbd->mensajeerror);
}

?>
<script>
$j_6(document).ready(function() {
    
    $j_6('#form, #fat, #form_np_pago').submit(function(e) {
        e.preventDefault();
        $j_6("body").addClass("loading");
        var formData = new FormData(document.getElementById("form_np_pago"));
            formData.append("dato", "valor");
        $j_6.ajax({
            type: 'POST',
            url: $j_6(this).attr('action'),
            data: formData,
            cache: false,
            contentType: false,
            processData: false,
            success: function(data) {
                    $j_6('#result').html(data);
                    $j_6("body").removeClass("loading");
            }
        })
        return false;
    });
    $j_6("input[type=reset]").on("click",function(e){
        //Aqui va el codigo para ejecutar antes de resetear.
        e.preventDefault();
        //Seguir reseteando.
        $j_6(this).closest('form').get(0).reset();
        //Codigo despues de resetear.
        $j_6("#moneda").change();
    });
        
    $j_6("#moneda").change(function(){
            $j_6( "#moneda option:selected" ).each(function() {
                    if($j_6(this).val() == "MXN"){
                        $j_6("#tipocambio").val(1.00);
                        $j_6("#tipocambio").attr("readonly",true);
                        $j_6("#tipocambio").css("background-color","#DDDDDD");
                    }else if($j_6(this).text() == "Seleccione la moneda"){
                        $j_6("#tipocambio").val("");
                        $j_6("#tipocambio").attr("readonly",true);
                        $j_6("#tipocambio").css("background-color","#DDDDDD");
                    }else{
						<?if(trim($tDoce["adicionala"]) == ""){?>
                        $j_6("#tipocambio").val("<?=$tDoce["tipocambio"]?>");
                        $j_6("#tipocambio").attr("readonly",false);
                        $j_6("#tipocambio").css("background-color","white");
						<?}?>
                    }
            });
    });
    $j_6("#rfcreceptor").change(function(){
            $j_6( "#rfcreceptor option:selected" ).each(function() {
                    if($j_6(this).val() == "XEXX010101000"){
                        $j_6("#taxid").val("");
                        $j_6("#taxid").attr("readonly",false);
                        $j_6("#taxid").css("background-color","white");
                    }else{
                        $j_6("#taxid").val("");
                        $j_6("#taxid").attr("readonly",true);
                        $j_6("#taxid").css("background-color","#DDDDDD");
                    }
            });
    });
    $j_6('#fecha').mask("9999-99-99",{placeholder:"_"});
    $j_6('#hora').mask("99:99:00",{placeholder:"_"});
});

$j_6(function() {
	<?if($tDoce["alta_manual"] == "1" && trim($tDoce["adicionala"]) == ""){?>
	$j_6( "#fecha" ).datepicker({
		showOn: "button",
		buttonImage: "Imagenes/calendar16.png",
		buttonImageOnly: true
	});
	<?}?>
	
	$j_6( "#fecha" ).datepicker("option", "dateFormat", "yy-mm-dd");
});

function enviarNotPag(){
    enviaNotificacionDePago($j_6("#adicionala").val(),$j_6("#rfcreceptorEnvio").val());
}
</script>
<style>
.formInput{
	font-size: 12px; 
	border-color: #fbca93;
        width: 250px;
}
.formInput[readonly=true]{
	font-size: 12px; 
	border-color: #fbca93;
	background-color: #DDDDDD;
}
.formInput[disabled=true]{
	font-size: 12px; 
	border-color: #fbca93;
	background-color: #DDDDDD;
}
.formTD{
    border: 1px solid #EEEEEE; 
    padding: 10px 10px 10px 10px;
    
}
</style>
<script language="javascript" src="libs/Vanadium/vanadium.js"></script>
<center><font color="gray" style="font-size: 14px"><strong>Notificaci&oacute;n de Pago</strong></font><br/><br/></center>
<form action="formularios/guardar/alta_notificacion_pago.php" name="form_np_pago" id="form_np_pago">
		<input type="hidden" name="adicionala" id="adicionala" value="<?=$tDoce["adicionala"]?>"/>
		<input type="hidden" name="rfcreceptorEnvio" id="rfcreceptorEnvio" value="<?=$tDoce["rfcreceptor"]?>"/>
<table cellspacing="0"  width="100%">
	<tr>
		<td class="formTD" width="16%">
			<font style="font-size: 12px; border-color: #fbca93">Emisor:</font>
		</td>
		<td class="formTD" width="16%" colspan="3">
			<?if(strtoupper(trim($_SESSION['usuario_p_prov_absa'])) == "ADMIN"){?>
				<select name="RFCEmisor" class="formInput" style="width: 265px"
				<?if(trim($tDoce["adicionala"]) != ""){?> disabled="true"<?}?>
				>
				<option value="">Seleccione el emisor</option>
				<?
					while($temp=mysqli_fetch_array($datosbd->cEmisores,MYSQLI_ASSOC))
					{?>
						<option value="<?=$temp["rfc"];?>" <? if($_SESSION['RFC_RECEPTOR_PORTAL'] == $temp["rfc"]){echo "selected";}?>><? echo $temp["rfc"];?></option>
					<?
					}
				mysqli_free_result($datosbd->cEmisores);
				?>
				</select>
			<?}else{?>
				<input type="text" name="RFCEmisor" id="RFCEmisor" value="<?=$_SESSION['RFC_RECEPTOR_PORTAL']?>" readonly="true" />
			<?}?>
		</td>
	</tr>
    <tr>
        <td class="formTD" width="16%">
                <font style="font-size: 12px; border-color: #fbca93">Fecha:</font>
        </td>
        <td class="formTD">
            <input class="formInput :required" <?if(trim($tDoce["adicionala"]) != ""){?>disabled="true"<?}?> style="width: 230px; text-align: right;" type="text" size="15" name="fecha" id="fecha" value="<?=$fecha?>" />
        </td>
        <td class="formTD" width="16%">
                <font style="font-size: 12px; border-color: #fbca93">Hora:</font>
        </td>
        <td class="formTD">
            <input class="formInput :required" <?if(trim($tDoce["adicionala"]) != ""){?>disabled="true"<?}?> style="text-align: right;" type="text" size="15" id="hora" name="hora" value="<?=$hora?>" />
        </td>
    </tr>
    <tr>
        <td class="formTD" width="16%">
                <font style="font-size: 12px; border-color: #fbca93">Serie:</font>
        </td>
        <td class="formTD">
                <input class="formInput :required" <?if(trim($tDoce["adicionala"]) != ""){?>disabled="true"<?}else{?> readonly="true" <?}?> type="text" size="15" name="serie" value="<?=$tDoce["serie"]?>" />
        </td>
        <td class="formTD" width="16%">
                <font style="font-size: 12px; border-color: #fbca93">Folio:</font>
        </td>
        <td class="formTD">
                <input class="formInput :required" <?if(trim($tDoce["adicionala"]) != ""){?>disabled="true"<?}else{?> readonly="true" <?}?> type="text" style="text-align: right" size="15" name="folio" value="<?=$tDoce["folio"]?>" />
        </td>
    </tr>
    <tr>
        <td class="formTD">
            <font style="font-size: 12px; border-color: #fbca93">Proveedor *:</font>
        </td>
        <td class="formTD">
            <select class="formInput :required" <?if(trim($tDoce["adicionala"]) != ""){?>disabled="true"<?}?> name="rfcreceptor" id="rfcreceptor">
                <?if($datosbd->cDoce != null){?>
                    <option value="<?=$tDoce["rfcreceptor"]?>"><?=$tDoce["rfcreceptor"]?></option>
                <?}else{?>
                    <option value="">Seleccione el proveedor</option>
                    <!--<option value="XEXX010101000">XEXX010101000</option>-->
                    <?if($datosbd->cProveedores != null){while($tProv = mysqli_fetch_assoc($datosbd->cProveedores)){?>
                        <option value="<?=$tProv["rfcemisor"]?>" <?if($tProv["rfcemisor"] == $tDoce["rfcreceptor"]){?> selected <?}?>><?=$tProv["rfcemisor"]?></option>
                    <?}$datosbd->limpiaCursor($datosbd->cProveedores);}?>
                <?}?>
            </select>
        </td>
        <!--<td class="formTD">
            <font style="font-size: 12px; border-color: #fbca93">Tax ID *:</font>
        </td>
        <td class="formTD">
            <input class="formInput" <?if($tDoce["alta_manual"] == "0"){?>disabled="true"<?}else{?> readonly="true" <?}?> type="text" name="taxid" id="taxid" value="<?=$tDoce["taxid"]?>" />
        </td>-->
        <td class="formTD">
            <font style="font-size: 12px; border-color: #fbca93">Método de pago *:</font>
        </td>
        <td class="formTD">
            <select class="formInput :required" <?if(trim($tDoce["adicionala"]) != ""){?>disabled="true"<?}?> name="metodopago">
                <option value="">Seleccione el método de pago</option>
                <?if($datosbd->cMetodosPago != null){while($tMetodo = mysqli_fetch_assoc($datosbd->cMetodosPago)){?>
                    <option value="<?=$tMetodo["metodopago"]?>" <?if($tMetodo["metodopago"] == $tDoce["metodopago"]){?> selected <?}?>><?=$tMetodo["descripcion"]?></option>
                <?}$datosbd->limpiaCursor($datosbd->cMetodosPago);}?>
            </select>
        </td>
    </tr>
    <tr>
        <td class="formTD">
            <font style="font-size: 12px; border-color: #fbca93">Forma de pago *:</font>
        </td>
        <td class="formTD">
            <select class="formInput :required" <?if(trim($tDoce["adicionala"]) != ""){?>disabled="true"<?}?> name="formadepago">
                <option value="">Seleccione la forma de pago</option>
                <?if($datosbd->cFormasPago != null){while($tFormas = mysqli_fetch_assoc($datosbd->cFormasPago)){?>
                    <option value="<?=$tFormas["formapago"]?>" <?if($tFormas["formapago"] == $tDoce["adicionalb"]){?> selected <?}?>><?=$tFormas["descripcion"]?></option>
                <?}$datosbd->limpiaCursor($datosbd->cFormasPago);}?>
            </select>
        </td>
        <td class="formTD">
            <font style="font-size: 12px; border-color: #fbca93">Moneda *:</font>
        </td>
        <td class="formTD">
            <select class="formInput :required" <?if(trim($tDoce["adicionala"]) != ""){?>disabled="true"<?}?> name="moneda" id="moneda">
                <option value="">Seleccione la moneda</option>
                <?if($datosbd->cMonedas != null){while($tMonedas = mysqli_fetch_assoc($datosbd->cMonedas)){?>
                    <option value="<?=$tMonedas["moneda"]?>" <?if($tMonedas["moneda"] == $tDoce["moneda"]){?> selected <?}?>><?=$tMonedas["descripcion"]?></option>
                <?}$datosbd->limpiaCursor($datosbd->cMonedas);}?>
            </select>
        </td>
    </tr>
    <tr>
        <td class="formTD">
            <font style="font-size: 12px; border-color: #fbca93">Tipo cambio *:</font>
        </td>
        <td class="formTD">
            <input class="formInput :required" <?if(trim($tDoce["adicionala"]) != ""){?>disabled="true"<?}else{?> readonly="true" <?}?> type="text" size="15" onkeyup="onlyNumsAndOneDotAndLimitDecimals(this,6)" id="tipocambio" name="tipocambio" style="text-align: right" value="<?=number_format($tDoce["tipocambio"],2,".",",")?>" />
        </td class="formTD">
        <td class="formTD">
            <font style="font-size: 12px; border-color: #fbca93">Total *:</font>
        </td>
        <td class="formTD">
            <input class="formInput :required" <?if(trim($tDoce["adicionala"]) != ""){?>disabled="true"<?}?> type="text" size="15" onkeyup="onlyNumsAndOneDotAndLimitDecimals(this,6)" name="total" id="total" style="text-align: right" value="<?=$tDoce["total"]?>" />
        </td>
    </tr>
    <tr>
        <td class="formTD">
            <font style="font-size: 12px; border-color: #fbca93">Archivo *:</font>
        </td>
        <td class="formTD" colspan="3">
            <input class="formInput" style="width: 500px" <?if($tDoce["alta_manual"] == "0"){?>disabled="true"<?}?> type="file" name="archivo" id="archivo" />
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <?if($tDoce["alta_manual"] == "1"){?>
                <input type="submit" value="Guardar"/>
                <!--<input type="reset" value="Actualizar"/>-->
                <input type="button" value="Notificar" onclick="enviarNotPag()"/>
            <?}?>
        </td>
    </tr>
</table>
</form>
<script><?if($tDoce["alta_manual"] == "1"){?>$j_6("#moneda").change();<?}?>$j_6('#fecha').val('<?=$fecha?>');
    $j_6('#hora').val('<?=$hora?>');</script>
<div id="result"></div>
